@use 'sass/base';
@use 'sass/mixin';
@use 'sass/size';
@use 'sass/color';

.dashboard-container {
  @include mixin.page(row);
}

.left-container {
  flex: 3 1 500px;
}

.right-container {
  flex: 1 0 500px;
  display: flex;
  flex-flow: column nowrap;
  gap: size.$gap;
}

.expandable {
  flex-grow: 1;
}

.projectsCardHeader {
  font-weight: 500;
}

.projectsCardList {
  display: flex;
  flex-direction: column;
}

.projectsCardListWrapper {
  position: absolute;
  overflow-y: scroll;
  overflow-x: hidden;
  left: 24px;
  right: 24px;
  top: 64px;
  bottom: 24px;
}

.filter-container {
  display: flex;
  flex-flow: row wrap;
  gap: size.$gap;
}

.filter-left-container,
.filter-right-container {
  flex: 1;
  display: flex;
  flex-flow: column nowrap;
  h4 {
    font-weight: 500;
  }
}

.add-project {
  width: 40%;
  margin: 18px;
  align-self: center;
  background-color: color.$green;
}
